Qt 5.6 | Qt 3D | C++ Classes | QAction

Qt 5.6.3 Reference Documentation

# QAction Class

(Qt3DInput::QAction)

Header: | #include <QAction>
qmake: | QT += 3dinput
Since: | Qt 5.6
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAction(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAction()
void | addInput(QActionInput *input)
QVector<QActionInput *> | inputs() const
QString | name() const
void | removeInput(QActionInput *input)

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &name)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | finished(const QString &name)
void | nameChanged(const QString &name)
void | started(const QString &name)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### name : QString

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

## Member Function Documentation

### QAction::QAction(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAction.

### QAction::~QAction()

Destroys the instance of QAction.

### void QAction::addInput(QActionInput *input)

### `[protected]` void QAction::copy(const Qt3DCore::QNode *ref)

### `[signal]` void QAction::finished(const QString &name)

### QVector<QActionInput *> QAction::inputs() const

### void QAction::removeInput(QActionInput *input)

### `[signal]` void QAction::started(const QString &name)